Tired of the mess (concerning JB's)

BunzLee

New Member
Feb 2, 2009
2
0
0
#1
Hello and first of all, thanks for reading.

I have my iPhone for about four Months now and I'm pretty happy with it, but I've always felt that a lot of things are missing - things, that a jailbreak can provide. Sounds pretty easy at first, but now comes the downside:

I have literally been reading through sites and forums for the last 6 weeks, every day (work is boring..). Even though I have already read a lot, I still can't figure out the right way "to do it", simply because all these methods and resulting problems blow my mind.

So with my last, desperate cry for help I turn to you guys, asking to point me into a right direction. So here are the facts.

I'm using Windows XP as OS, and my iPhone information says I'm running Firmware 2.2 (5G77) on an iPhone 3G 16GB. I am using a locked iPhone (Swisscom, with its original SIM!) which is activated on iTunes and fully functional.

What I need to know... Am I even able to Jailbreak? If yes, is it QuickPWN I have to use? And most important of all... Am I still going to be able using the iPhone as Phone, or do I have to "unlock" it? (remember please, I am using the original SIM card that has been sold with the iPhone, but I have no clue if a jailbreak "ignores" that, or even if I do have to reactivate.).

And the last thing is, which I just need someone to confirm this... Should anything go wrong, I can simply put the iPhone back to DFU mode and make iTunes restore it. Right?

Thanks a lot for reading, and even more for responding. =)

BunzLee
 

andyveale

Member
Bronze
Jan 13, 2009
38
0
6
#2
Hi. Welcome to the forums. You must use QuickPWN to jailbreak your iPhone. Jailbreaking your iPhone will not prevent it from being used on the default network (in this case, Swisscom). I suggest, though, before you jailbreak your phone, that you update to the newest iPhone firmware (2.2.1) through iTunes.

Then, go to http://www.quickpwn.com and download the latest QuickPWN for your correct platform.
 

krypto

New Member
Bronze
Feb 18, 2008
120
0
0
Honolulu, Hawaii
#3
Hi. Welcome to the forums. You must use QuickPWN to jailbreak your iPhone. Jailbreaking your iPhone will not prevent it from being used on the default network (in this case, Swisscom). I suggest, though, before you jailbreak your phone, that you update to the newest iPhone firmware (2.2.1) through iTunes.

Then, go to http://www.quickpwn.com and download the latest QuickPWN for your correct platform.
Personally, I would prefer to jailbreak the 2.2 firmware. The 2.2 firmware can still be unlocked with yellowsn0w, this gives your iPhone 3G better resale value should you ever want to sell it. The 2.2.1 firmware is still not unlockable.

You can still get everything you need to do the jailbreak at www.quickpwn.com

All you need is QuickPWN 2.2 located here...
http://jmcoon.net/QuickPwn22.zip

And, iPhone 3G 2.2 firmware located here...
http://appldnld.apple.com.edgesuite...0081120.Aqw4R/iPhone1,2_2.2_5G77_Restore.ipsw


And, follow these directions...
http://www.iclarified.com/entry/index.php?enid=1881
 

andyveale

Member
Bronze
Jan 13, 2009
38
0
6
#4
Personally, I would prefer to jailbreak the 2.2 firmware. The 2.2 firmware can still be unlocked with yellowsn0w, this gives your iPhone 3G better resale value should you ever want to sell it. The 2.2.1 firmware is still not unlockable.

You can still get everything you need to do the jailbreak at www.quickpwn.com

All you need is QuickPWN 2.2 located here...
http://jmcoon.net/QuickPwn22.zip

And, iPhone 3G 2.2 firmware located here...
http://appldnld.apple.com.edgesuite...0081120.Aqw4R/iPhone1,2_2.2_5G77_Restore.ipsw


And, follow these directions...
http://www.iclarified.com/entry/index.php?enid=1881
Agreed on the yellowsn0w part, but like he said he doesn't have any intentions at the moment of using another network. I'm sure there will be an unlock for yellowsn0w soon :p
 

krypto

New Member
Bronze
Feb 18, 2008
120
0
0
Honolulu, Hawaii
#5

smittylube

Member
Bronze
Feb 19, 2008
255
0
16
Silicon Valley
#6
Follow what the others posted.
You wont brick your phone either. It took me 4 or more tried before I got mine to JB. I became very good at resore and resync. I use only a few JB apps but have TONS of fun making my own status bar icon and the like. I love the dockflow 5 icon dock. I made about a dozen mini themes with mostly wallpaper & different page dot icons. most of the status bar stuff I just swapped out in the springboard manually.

And if you don't like it you can restore.
 

nobopyon

Member
Bronze
Jul 11, 2008
393
0
16
Dallas, TX
#7
I had greatest fear to JB my phone first time.....

I was like you, I read all the post, and got even scared about the horror story people had to go through.....

So I was very hesitated doing it...

After all, it's just either, you will JUST DO IT, or just be scared about it...

But you have to know, that people here, they are all so nice, if anything happened to your phone, they are always willing to guide you through...

My first time, there were many people here actually guide me through step by step how to JB my phone... (thanks guys! )

It's fairly simple, as long as you follow exactly what the website says...

On top of that, you will be using windows, so not much of complication there to begin with.. (like latest OSX block you doing JB kinda issue).
 

BunzLee

New Member
Feb 2, 2009
2
0
0
#8
First of all, thanks for the answers. =)

As many of you have suggested, I simply "did it"... And guess what, it works. There was a situation I was kind of going to panic, but then I've realized what the problem is (and I KNOW a lot of people get stuck there)... Which is when QuickPWN tells you that it's going to set the phone to DFU mode.

I guess a lot of people think that QuickPWN is going to do that for you, and they don't realize that they have to do it by themselves (which gives them "Wrong connection mode" error) in the same rythm as QuickPWN suggests it. But after the second try I've managed to get it working.

So now I'm a proud and happy user of the JB 2.2 Firmware (2.2.1 was still too insecure for me). Thanks a lot and have a nice day. =)